Subject: Re: [PATCH v4 3/4] submodule: support running in multiple worktree setup

From: Junio C Hamano <[email-masked]>
Date: Mon, 25 Jul 2016 08:46:04 -0700

Stefan Beller <[email-masked]> writes:

> On Fri, Jul 22, 2016 at 9:55 AM, Junio C Hamano <[email-masked]> wrote:
>>
>>  * submodule.$name.update, submodule.$name.ignore,
>>    submodule.$name.branch, etc. would need to be all different among
>>    worktrees of the superproject, as that is the whole point of
>>    being able to work on separate branches of the superproject in
>>    separate worktrees.
>
> What do you mean by "would need". The ability to be different or rather
> the veto of an 'inheritance' of defaults from the repository configuration?

They have to be able to represent different settings per worktree
that checks out different branches/commits of superproject.  They
may happen to be set the same, but they do not have to be.

Is what I meant.